summaryrefslogtreecommitdiff
path: root/mysql-test/mysql-test-run.sh
diff options
context:
space:
mode:
authorunknown <serg@serg.mysql.com>2001-04-13 21:16:53 +0200
committerunknown <serg@serg.mysql.com>2001-04-13 21:16:53 +0200
commit5128e3750d6296017ffd86497516133ee4285386 (patch)
tree0748ec62096feda86a14c512244d6302323d8282 /mysql-test/mysql-test-run.sh
parentb5fa754f7ba4b416e608cc624c596f89a9db84fd (diff)
parent582174606766c66b7ae474fa0671bec6c162347f (diff)
downloadmariadb-git-5128e3750d6296017ffd86497516133ee4285386.tar.gz
merged
BitKeeper/etc/logging_ok: auto-union BitKeeper/triggers/post-commit: Auto merged acinclude.m4: Auto merged configure.in: Auto merged mysql-test/mysql-test-run.sh: Auto merged sql/sql_delete.cc: Auto merged
Diffstat (limited to 'mysql-test/mysql-test-run.sh')
-rw-r--r--mysql-test/mysql-test-run.sh41
1 files changed, 39 insertions, 2 deletions
diff --git a/mysql-test/mysql-test-run.sh b/mysql-test/mysql-test-run.sh
index 8c494d06f75..8877f2e4cdf 100644
--- a/mysql-test/mysql-test-run.sh
+++ b/mysql-test/mysql-test-run.sh
@@ -20,9 +20,31 @@ TZ=GMT-3; export TZ # for UNIX_TIMESTAMP tests to work
PATH=/bin:/usr/bin:/usr/local/bin:/usr/bsd:/usr/X11R6/bin
+# Standard functions
+
+which ()
+{
+ DIRS=`echo $PATH | tr ":" " "`
+ for file
+ do
+ for dir in $DIRS
+ do
+ if test -f $dir/$file
+ then
+ echo "$dir/$file"
+ continue 2
+ fi
+ done
+ echo "which: no $file in ($PATH)"
+ exit 1
+ done
+}
+
+
# No paths below as we can't be sure where the program is!
BASENAME=`which basename | head -1`
+DIFF=`which diff | head -1`
CAT=cat
CUT=cut
TAIL=tail
@@ -268,6 +290,20 @@ prompt_user ()
read unused
}
+show_failed_diff ()
+{
+ reject_file=r/$1.reject
+ result_file=r/$1.result
+ if [ -x "$DIFF" ] && [ -f $reject_file ]
+ then
+ echo "Below are the diffs between actual and expected results:"
+ echo "-------------------------------------------------------"
+ $DIFF -u $result_file $reject_file
+ echo "-------------------------------------------------------"
+ echo "Please e-mail the above, along with the output of mysqlbug"
+ echo "and any other relevant info to bugs@lists.mysql.com"
+ fi
+}
error () {
$ECHO "Error: $1"
@@ -399,7 +435,7 @@ start_master()
--core \
--tmpdir=$MYSQL_TMP_DIR \
--language=english \
- --innobase_data_file_path=ibdata1:50M \
+ --innodb_data_file_path=ibdata1:50M \
$SMALL_SERVER \
$EXTRA_MASTER_OPT $EXTRA_MASTER_MYSQLD_OPT"
if [ x$DO_DDD = x1 ]
@@ -454,7 +490,7 @@ start_slave()
--core \
--tmpdir=$MYSQL_TMP_DIR \
--language=english \
- --skip-innobase \
+ --skip-innodb \
$SMALL_SERVER \
$EXTRA_SLAVE_OPT $EXTRA_SLAVE_MYSQLD_OPT"
if [ x$DO_DDD = x1 ]
@@ -660,6 +696,7 @@ run_testcase ()
$ECHO "$RES$RES_SPACE [ fail ]"
$ECHO
error_is
+ show_failed_diff $tname
$ECHO
if [ x$FORCE != x1 ] ; then
$ECHO "Aborting. To continue, re-run with '--force'."